## debian-edu-config 0.415

=== Makefile ===
PACKAGE = debian-edu-config

PROGS = cfengine-debian-edu \
        update-ini-file update-hostname-from-ip \
	debian-edu-hd-warn debian-edu-lessdisks \
	debian-edu-ltsp debian-edu-pxelinux.cfg

SPROGS = debian-edu-restart-services \
	debian-edu-test-install ltsp-make-client \
        debian-edu-fsautoresize debian-edu-etc-svk

INSTALL     = install -D -p -m 755
INSTALL_DATA= install -D -p -m 644

prefix     = /usr/local
sysconfdir = /etc
cfdir      = $(sysconfdir)/cfengine/debian-edu
bindir     = $(prefix)/bin
sbindir    = $(prefix)/sbin
docdir     = $(prefix)/share/doc/$(PACKAGE)
mandir     = $(prefix)/share/man
ldapdir    = $(sysconfdir)/ldap
schemadir  = $(ldapdir)/schema
dhcp3dir   = $(sysconfdir)/dhcp3
libdir     = /usr/lib
pkglibdir  = $(libdir)/debian-edu-config
mailcapdir = $(libdir)/mime/packages
vardir     = /var


CFFILES = \
	cf.apache2 \
	cf.apt \
	cf.bind9 \
	cf.cfengine \
	cf.cups \
	cf.dhcpserver \
	cf.exim \
	cf.imap \
	cf.homes \
	cf.inetd \
	cf.kdm \
	cf.ldapserver \
	cf.ldapclient \
	cf.locale \
	cf.ltsp \
	cf.fstab \
	cf.mime-support \
	cf.mozilla \
	cf.munin \
	cf.nagios \
	cf.nagios2 \
	cf.nat \
	cf.ntp \
	cf.pcmcia \
	cf.samba \
	cf.slbackup \
	cf.squid \
	cf.ssh \
	cf.syslog \
	cf.sysstat \
	cfd.conf \
	cfengine.conf

CFBINFILES = \
	cfd \
	cfrunhosts.pl

# Files to install in /etc/
SYSCONFFILES = \
	X11/Xsession.d/10debian-edu-one-login-per-host \
	X11/Xsession.d/10debian-edu-set-umask \
	desktop-profiles/debian-edu-config.listing \
	bind/debian-edu/db.10 \
	bind/debian-edu/db.192.168 \
	bind/debian-edu/db.intern \
	bind/debian-edu/named-bind9.conf \
	bind/debian-edu/bind9-default \
	bind/debian-edu/named.conf.options \
	courier/authldaprc-debian-edu \
	courier/imapd-debian-edu.cnf \
	debian-edu/hd-warn.conf \
	debian-edu/nightkill.conf \
	debian-edu/lts.conf.dist \
	default/backdoor \
	cfengine/cfservd.conf \
	cfengine/update.conf \
	cfengine/inputs/cfagent.conf \
	cups/cupsd-debian-edu.conf \
	dhclient-exit-hooks \
	dhcp3/dhcpd-debian-edu.conf \
	exim/exim-ldap-client.conf \
	exim/exim-ldap-server.conf \
	exim4/exim-ldap-client-v4.conf \
	exim4/exim-ldap-server-v4.conf \
	filesystems \
	ldap/slapd-etch_debian-edu.conf \
	ldap/ssl/slapd-cert.cnf \
	pam.d/common-auth-debian-edu \
	pam.d/common-auth-ldap-debian-edu \
	pam.d/common-account-ldap-debian-edu \
	pam.d/common-password-ldap-debian-edu \
	pam.d/common-session-winbind-debian-edu \
	pam.d/common-account-winbind-debian-edu \
	pam.d/common-auth-winbind-debian-edu \
	pam.d/common-password-winbind-debian-edu \
	pam.d/common-session-debian-edu \
	usbmount/usbmount-debian-edu.conf \
	samba/netlogon/login.bat \
	samba/netlogon/shortcut.vbs \
	samba/smb-debian-edu.conf \
	samba/smb-winbind-debian-edu.conf \
	security/pam_mount-winbind-debian-edu.conf \
	security/pam_mount-stateless-debian-edu.conf \
	krb5-winbind-debian-edu.conf \
	lsb-release \
	nagios/nagios-debian-edu.cfg \
	nagios/debian-edu/checkcommands.cfg \
	nagios/debian-edu/contactgroups.cfg \
	nagios/debian-edu/contacts.cfg \
	nagios/debian-edu/dependencies.cfg \
	nagios/debian-edu/htpasswd.users \
	nagios/debian-edu/index.html \
	nagios/debian-edu/main.html \
	nagios/debian-edu/side.html \
	nagios/debian-edu/misccommands.cfg \
	nagios/debian-edu/resource.cfg \
	nagios/debian-edu/services.cfg \
	nagios/debian-edu/timeperiods.cfg \
	nagios/debian-edu/servicetemplates.cfg \
	nagios/debian-edu/hosttemplates.cfg \
	nagios/debian-edu/skolelinux_logo.png \
	nagios/debian-edu/skolelinux_logo_140.png \
	nagios/debian-edu/hosts/gateway.cfg \
	nagios/debian-edu/hosts/tjener.cfg \
	nagios/debian-edu/hostgroups/gateways.cfg \
	nagios/debian-edu/hostgroups/servers.cfg \
	apache2/mods-available/debian-edu-userdir.conf \
	apache2/sites-available/debian-edu-default \
	apache2/sites-available/debian-edu-ssl-default \
	apache2/conf.d/debian-edu-config-doc \
	nagios2/debian-edu/cgi.cfg \
	nagios2/debian-edu/commands.cfg \
	nagios2/debian-edu/contactgroups.cfg \
	nagios2/debian-edu/contacts.cfg \
	nagios2/debian-edu/dependencies.cfg \
	nagios2/debian-edu/htpasswd.users \
	nagios2/debian-edu/escalations.cfg \
	nagios2/debian-edu/hostextinfo.cfg \
	nagios2/debian-edu/hostgroups.cfg \
	nagios2/debian-edu/hosts.cfg \
	nagios2/debian-edu/host_templates.cfg \
	nagios2/debian-edu/nagios.cfg \
	nagios2/debian-edu/resources.cfg \
	nagios2/debian-edu/serviceextinfo.cfg \
	nagios2/debian-edu/servicegroups.cfg \
	nagios2/debian-edu/services.cfg \
	nagios2/debian-edu/service_templates.cfg \
	nagios2/debian-edu/timeperiods.cfg


LIBFILES = \
	mime/packages/debian-edu-mailcap

SYSCONFSCRIPTS = \
	resolvconf/update.d/bind-debian-edu \
	X11/Xsession-debian-edu \
	samba/smbaddclient.pl

SCHEMAS = \
	samba.schema \
	samba-2.2.x.schema \
	courier.schema \
	automount-debian-edu.schema \
	norEduPerson.schema \
	EduPerson.schema \
	lis.schema

LDIFS = \
	root.ldif \
	autofs.ldif \
	netgroup.ldif

LDAPPROGRAMS = \
	ldappasswd2 \
	ldap2netgroup \
	ldap-debian-edu-install \
	samba-debian-edu-admin \
	mkslapdcert

VARFILES = \
	www/index.html.de \
	www/index.html.en \
	www/index.html.es \
	www/index.html.fr \
	www/index.html.no \
	www/index.html.nl \
	www/index.html.ru \
	www/skl-ren_css.css \
	www/logo-trans.png \
	www/wpad.dat

KIOSKFILES = \
	share/debian-edu/students/share/apps/kdesktop/Desktop/kalzium.desktop \
	share/debian-edu/students/share/apps/kdesktop/Desktop/kmplot.desktop \
	share/debian-edu/students/share/apps/kdesktop/Desktop/kstars.desktop \
	share/debian-edu/students/share/apps/kdesktop/Desktop/ooo-impress.desktop \
	share/debian-edu/students/share/apps/kdesktop/Desktop/ooo-writer.desktop \
	share/debian-edu/students/share/apps/kdesktop/Desktop/gcompris.desktop \
	share/debian-edu/students/share/apps/kdesktop/Desktop/gimp-2.2.desktop \
	share/debian-edu/students/share/apps/kdesktop/Desktop/kgeography.desktop \
	share/debian-edu/students/share/apps/kdesktop/Desktop/stopmotion.desktop \
	share/debian-edu/students/share/config/kdeglobals \
	share/debian-edu/students/share/config/kdesktoprc \
	share/debian-edu/students/share/config/konqiconviewrc \
	share/debian-edu/students/share/config/uiserverrc \
	share/debian-edu/students/share/config/adept_notifierrc \
	share/debian-edu/students/share/services/update_ksycoca \
	share/debian-edu/students/share/config/menus/applications.menu \
	share/debian-edu/students/share/config/menus/kde-applications.menu \
	share/debian-edu/students/share/applications/kalzium.desktop \
	share/debian-edu/students/share/applications/kbruch.desktop \
	share/debian-edu/students/share/applications/klatin.desktop \
	share/debian-edu/students/share/applications/kmplot.desktop \
	share/debian-edu/students/share/applications/kpercentage.desktop \
	share/debian-edu/students/share/applications/kstars.desktop \
	share/debian-edu/students/share/applications/kturtle.desktop \
	share/debian-edu/students/share/applications/kvoctrain.desktop \
	share/debian-edu/students/share/applications/kwordquiz.desktop \
	share/debian-edu/students/share/applications/oocalc.desktop \
	share/debian-edu/students/share/applications/ooimpress.desktop \
	share/debian-edu/students/share/applications/oowriter.desktop  \
	share/debian-edu/root/share/apps/kdesktop/Desktop/tjener.desktop

all:

install: install-testsuite
	install -d $(DESTDIR)$(bindir)
	install -d $(DESTDIR)$(sbindir)
	install -d $(DESTDIR)$(sysconfdir) $(DESTDIR)$(sysconfdir)/cups
	install -d $(DESTDIR)$(sysconfdir)/exim
	install -d $(DESTDIR)$(sysconfdir)/courier
	install -d $(DESTDIR)$(ldapdir)
	install -d $(DESTDIR)$(dhcp3dir)
	install -d $(DESTDIR)$(mailcapdir)

# program's manpages are autodetected. 
	set -e ; for prog in $(PROGS); do \
		$(INSTALL) bin/$$prog $(DESTDIR)$(bindir) ; \
		if [ -e "share/man/man1/$$prog.1" ]; \
		then \
		$(INSTALL_DATA) "share/man/man1/$$prog.1" $(DESTDIR)$(mandir)/man1/$$sprog.1 ; \
		fi \
	done
# Using manpages autodetection : 
	set -e ; for sprog in $(SPROGS); do \
		$(INSTALL) sbin/$$sprog $(DESTDIR)$(sbindir) ; \
		if [ -e "share/man/man8/$$sprog.8" ]; \
		then \
		$(INSTALL_DATA) "share/man/man8/$$sprog.8" $(DESTDIR)$(mandir)/man8/$$sprog.8 ; \
		fi \
	done
	$(INSTALL_DATA) README $(DESTDIR)$(docdir)/README
	set -e ; for cf in $(CFFILES); do \
		$(INSTALL_DATA) cf/$$cf $(DESTDIR)$(cfdir)/$$cf; \
	done
	set -e ; for cf in $(CFBINFILES); do \
		$(INSTALL) cf/$$cf $(DESTDIR)$(cfdir)/$$cf; \
	done



	set -e ; for file in $(SYSCONFFILES) ; do \
		$(INSTALL_DATA) etc/$$file $(DESTDIR)$(sysconfdir)/$$file; \
	done

	mkdir -p $(DESTDIR)$(sysconfdir)/init.d
	set -e ; for file in $(SYSCONFSCRIPTS) ; do \
		$(INSTALL) etc/$$file $(DESTDIR)$(sysconfdir)/$$file; \
	done

	set -e ; for file in $(LIBFILES) ; do \
		$(INSTALL_DATA) lib/$$file $(DESTDIR)$(libdir)/$$file; \
	done

	set -e ; for f in share/debian-edu-config/tools/passwd \
		share/debian-edu-config/tools/adduser \
		share/debian-edu-config/tools/movehome \
		share/debian-edu-config/tools/nightkill.sh \
		share/debian-edu-config/tools/logoutkill.sh \
		share/debian-edu-config/tools/ldap-user-clean-attic.sh \
		share/debian-edu-config/tools/ldapdump.sh \
		share/debian-edu-config/tools/ldap-users.pl \
		share/debian-edu-config/tools/nbdswap-cleanup \
		share/debian-edu-config/tools/nbdquery \
	; do \
		$(INSTALL) $$f $(DESTDIR)/usr/$$f ; \
	done

	set -e ; for f in share/debian-edu/common/share/config/kcookiejarrc \
		share/debian-edu/common/share/config/artsmessagerc \
		share/debian-edu/common/share/config/kdeprintrc \
		share/debian-edu/common/share/config/kpersonalizerrc \
		share/debian-edu/common/share/config/konquerorrc \
		share/debian-edu/common/share/mimelnk/applnk/msword.desktop \
		share/debian-edu/networked-kde3/share/config/kioslaverc \
		share/debian-edu/thin-client/share/config/kcmartsrc \
	; do \
		$(INSTALL_DATA) $$f $(DESTDIR)/usr/$$f ; \
	done

	set -e ; for f in $(KIOSKFILES) ; do \
		$(INSTALL_DATA) "$$f" "$(DESTDIR)/usr/$$f" ; \
	done

	set -e ; for f in \
 share/ltsp/plugins/ltsp-build-client/Debian-custom/000-arch-detection \
 share/ltsp/plugins/ltsp-build-client/Debian-custom/025-bootprompt-opts \
	; do \
		$(INSTALL_DATA) $$f $(DESTDIR)/usr/$$f ; \
	done

	$(INSTALL_DATA) sbin/debian-edu-fsautoresizetab $(DESTDIR)/usr/share/debian-edu-config/fsautoresizetab

# Using manpages autodetection : 
	set -e ; for program in $(LDAPPROGRAMS) ; do \
		$(INSTALL) ldap-tools/$$program $(DESTDIR)$(bindir)/$$program; \
		if [ -e "share/man/man1/$$program.1" ]; \
		then \
		$(INSTALL_DATA) "share/man/man1/$$program.1" $(DESTDIR)$(mandir)/man1/$$sprog.1 ; \
		fi \
	done
	set -e ; for schema in $(SCHEMAS) ; do \
		$(INSTALL_DATA) ldap-schemas/$$schema $(DESTDIR)$(schemadir)/$$schema;\
	done
	set -e ; for ldif in $(LDIFS) ; do \
		$(INSTALL_DATA) ldap-bootstrap/$$ldif $(DESTDIR)$(ldapdir)/$$ldif ; \
	done

	set -e ; for file in $(VARFILES) ; do \
		$(INSTALL_DATA) var/$$file $(DESTDIR)/var/$$file ; \
	done

	chmod 700 $(DESTDIR)/var/lib/maildirs/


install-testsuite:
	install -d $(DESTDIR)$(pkglibdir)/testsuite
	set -e ; for test in testsuite/* ; do \
		$(INSTALL) $$test $(DESTDIR)$(pkglibdir)/$$test; \
	done



clean:
	# Remove CVS cruft
	-find . -name '.#*' | xargs rm

dist:
	debuild -us -uc

=== debian/changelog ===
debian-edu-config (0.415) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Change LTSP build rules to use a network based APT source when
    build LTSP chroot with amd64 netinst CD, as the CD is missing the
    i386 binaries needed.
  * Remove cfengine rule to update /etc/default/update-hostname.  It
    is now handled by preseeding.  Solves skolelinux bug #1228.

  [ Daniel Hess ]
  * For network based LTSP build on amd64 change build rules:
    . Set option_mirror_value instead of MIRROR and add
      option_extra_mirror_value for skolelinux/local packages.
    . Set local as component for exta_mirror and remove it for all other
      mirrors.
    . Add the Debian-Edu archive key as in debian-edu-archive-keyring to
      the apt-keys list, so it is available when the Release file is checked.
    . Check for http_proxy set to "high" and unset it, if it is.
      This seems to be a bug with debconf, which returns always "high" after
      the debconf priority (which is high) was been read.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 20 Jul 2007 17:08:03 +0200

debian-edu-config (0.414) unstable; urgency=low

  [ Daniel Heß ]
  * Add suffix for group mappings to samba config. Allow samba to add
    groupmapping existing groups in the slapd config. This restores the
    old behaviour from when groupmaps where stored external.
  * Add Samba groupmap information to "admins" group when loading root.ldif
    in ldap-debian-edu-install. (Closes skolelinux bug #1223)
  * Include "displayName" attribute in the groupmap. This is not required
    for it to work, but it's displayed in Windows and is less confusing
    this way.

  [ Petter Reinholdtsen ]
  * Remove cfengine rule to edit /etc/opera6rc.fixed and other
    references to Opera.  Opera is no longer included.
  * Add more debug output to ldap-debian-edu-install.
  * Disable editing of /etc/inputrc, as testing show that it is no
    longer needed to support 8-bit characters in bash.
  * Remove bogus calls to db_go in debian-edu-config.postinst.

  [ Holger Levsen ]
  * Modified /etc/lsb-release to only include DISTRIB_DESCRIPTION.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 18 Jul 2007 00:26:20 +0200

debian-edu-config (0.413) unstable; urgency=low

  [ Ronny Aasen and Petter Reinholdtsen ]
  * Fixed a bug in cfengine's ltsp_arch variable, that broke the
    installer.  Based on patch from Klaus Ade Johnstad.  Fixes
    skolelinux bug #1196.

  [ Klaus Ade Johnstad ]
  * Fixed typo introduced in fix for skolelinux bug #1196
  * Fixed tail according to new syntax, 's/tail +/tail -n +/g'
    in /usr/sbin/ltsp-make-client
  * Fixed bug #1220, typo in lts.conf

  [ Petter Reinholdtsen ]
  * Update ltsp testsuite to use i386 on amd64 systems to fix
    skolelinux bug #1200.
  * Fixed debian-edu-etc-svk initialization using expect, and
    improved the script to a point where it is working properly.
  * Make it possible to enable debian-edu-etc-svk by preseeding
    debian-edu-config/etc-in-svk, and include cronjob for updating
    the svk state of /etc/.  Depend on svk and expect to make
    sure the needed packages are installed.
  * Make sure init.d/start-wlan is not executed during package
    installation, as it can kill the network connection on laptops.
  * Change init.d/fetch-ldap-cert to extract the server certificate
    using the SSL protocol, instead of downloading it over HTTP.
  * Correct ldap-tools/mkslapdcert to extract the server certificate
    (and no the public key) and make it available for download, as this
    is the file needed by clients interested in verifying the SSL
    connection to the LDAP server.
  * Rewrite ldap.conf to use the downloaded LDAP server certificate to
    verify the connection, trying to make it possible to disable the
    'TLS_REQCERT never' setting to enforce this.  It is not yet
    working, so the 'TLS_REQCERT never' is still needed.  This is
    related to skolelinux bug 1211.
  * Move stray client side LDAP configuration from cf.ldapserver
    to the more correct cf.ldapclient.
  * Remove kdm theme cfengine rules.  They are no longer needed.
  * Renamed the 'update' command in debian-edu-etc-svk to commit.
    The old command still work, but will be removed in the future.
  * Add proposed APT sources in the LTSP chroot as well.  Related to
    skolelinux bug #1168.
  * Remove code in mkslapdcert to make the LDAP SSL certificate
    available from the web server.  It is no longer needed when
    fetch-ssl-cert can fetch it directly from the LDAP server.
    Make sure to only try to download the certificate if it
    is mentioned in the LDAP config.
  * Modify cfengine rule for editing /etc/libnss-ldap.conf and
    /etc/pam_ldap.conf to avoid editing if the host setting already is
    present.
  * Improve usage information printed by debian-edu-fsautoresize.
  * Extend testsuite/taskpkgs to detect if a package in a task is
    missing.
  * Update cfengine rule for /etc/hosts.allow to also allow access
    from 10.0.2.0/23 to tftp and portmap, making sure diskless
    workstation boots get access.
  * Allow 127.0.0.1 NFS mount privileges to the LTSP chroot, to
    get qemu testing to work out of the box.
  * Updates in ltsp-make-client:
    - General cleanup and convert it to use aptitude
      instead of apt-get to track manually installed packages.
    - Make sure it installs debian-edu-archive-keyring, and
    - fetches the LDAP SSL certificate.
    - Add code verify that enoug disk space is available in
      /opt/ltsp/$arch before starting.  Using 4096 MiB as the limit.
    - Add code to make sure /var/lib/dbus and /media is writable
      by dbus.  Solves skolelinux bug #1180.
    - Stop installing usbmount.  It does not work at the moment,
      and is not needed when udev/hal is working.
  * Specify SCREEN_07=ldm in lts.conf to make sure ldm is still
    enabled on thin clients after ltsp-make-clients installed
    kdm.  Solves skolelinux bug #1210.

  [ Steffen Joeris ]


=== debian/control ===
Source: debian-edu-config
Section: misc
Priority: optional
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Andreas Schuldei <andreas@debian.org>, Finn-Arne Johansen <faj@bzz.no>, Morten Werner Olsen <werner@debian.org>, Luk Claes <luk@debian.org>, Steffen Joeris <white@debian.org>, Holger Levsen <holger@debian.org>, Klaus Ade Johnstad <klaus@skolelinux.no>
Standards-Version: 3.7.2
Build-Depends: debhelper
Build-Depends-Indep: po-debconf

Package: debian-edu-config
Architecture: all
Depends: ${misc:Depends}, cfengine2, libconfig-inifiles-perl, mime-support, libnet-ldap-perl, ng-utils, host, desktop-profiles, lsb-base, ssl-cert, libfilesys-df-perl, libtext-unaccent-perl, libhtml-fromtext-perl, libio-socket-ssl-perl, lsof, expect, svk
Replaces: ldap-skolelinux, cfengine-skolelinux, ncs
Provides: cfengine-skolelinux, ncs
Conflicts: ldap-skolelinux (<= 0.1-83), cfengine-skolelinux (<= 0.338), debian-edu-install (<= 0.616), samba (<<3.0.0), ncs
Description: Configuration files for Skolelinux systems
 Installs cfengine config files to be used by the machines set up as part
 of the Skolelinux project.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=debian-edu-config

DESTDIR=`pwd`/debian/debian-edu-config

build:
	$(checkdir)

	$(MAKE) CFLAGS="-O2 -g -Wall"
	touch build

clean:
	$(checkdir)
	-rm -f build
	$(MAKE) clean
	dh_clean

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	dh_testdir
	dh_testroot
	install -d $(DESTDIR)
	cd $(DESTDIR) && install -d `cat ../dirs`
	$(MAKE) install prefix=/usr DESTDIR=$(DESTDIR)
	dh_installdebconf
	dh_installdocs
	dh_installdirs
	dh_installcron
	dh_installmodules
	dh_installinit --init-script resize_lvm -r --no-start -u"start 32 S ."
	dh_installinit --init-script open-backdoor
	# Start it after 91apache
	dh_installinit --init-script fetch-ldap-cert -r --no-start -u"start 95 2 3 4 5 ."
	dh_installinit --init-script boot_xconf
	dh_installinit --init-script enable-nat --no-start
	dh_installinit --init-script update-hostname
	dh_installinit --init-script start-wlan --no-start
	dh_installinit --init-script report-reboot -r --no-start
	dh_installchangelogs
	#dh_link /usr/share/debian-edu-config/tools/ldapdump.sh /etc/slbackup/pre.d/ldapdump.sh
	#dh_link /etc/apache2/mods-available/userdir.load /etc/apache2/mods-available/debian-edu-userdir.load
	dh_link
	dh_gencontrol
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_md5sums
	dh_builddeb

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## debian-edu-config 1.423

=== Makefile ===
--- 
+++ 
@@ -3,11 +3,12 @@
 PROGS = cfengine-debian-edu \
         update-ini-file update-hostname-from-ip \
 	debian-edu-hd-warn debian-edu-lessdisks \
-	debian-edu-ltsp debian-edu-pxelinux.cfg
+	debian-edu-ltsp debian-edu-pxelinux.cfg ltsp-arch-debian-edu
 
 SPROGS = debian-edu-restart-services \
 	debian-edu-test-install ltsp-make-client \
-        debian-edu-fsautoresize debian-edu-etc-svk
+        debian-edu-fsautoresize debian-edu-etc-svk \
+        debian-edu-pxeinstall
 
 INSTALL     = install -D -p -m 755
 INSTALL_DATA= install -D -p -m 644
@@ -45,18 +46,10 @@
 	cf.locale \
 	cf.ltsp \
 	cf.fstab \
-	cf.mime-support \
-	cf.mozilla \
-	cf.munin \
-	cf.nagios \
-	cf.nagios2 \
-	cf.nat \
+	cf.nagios3 \
 	cf.ntp \
-	cf.pcmcia \
 	cf.samba \
-	cf.slbackup \
 	cf.squid \
-	cf.ssh \
 	cf.syslog \
 	cf.sysstat \
 	cfd.conf \
@@ -68,6 +61,7 @@
 
 # Files to install in /etc/
 SYSCONFFILES = \
+	X11/Xsession.d/05debian-edu-truncate-xerrorlog \
 	X11/Xsession.d/10debian-edu-one-login-per-host \
 	X11/Xsession.d/10debian-edu-set-umask \
 	desktop-profiles/debian-edu-config.listing \
@@ -83,18 +77,21 @@
 	debian-edu/nightkill.conf \
 	debian-edu/lts.conf.dist \
 	default/backdoor \
+	default/munin-node \
 	cfengine/cfservd.conf \
 	cfengine/update.conf \
 	cfengine/inputs/cfagent.conf \
 	cups/cupsd-debian-edu.conf \
 	dhclient-exit-hooks \
 	dhcp3/dhcpd-debian-edu.conf \
+	dhcp3/dhclient-debian-edu.conf \
 	exim/exim-ldap-client.conf \
 	exim/exim-ldap-server.conf \
 	exim4/exim-ldap-client-v4.conf \
 	exim4/exim-ldap-server-v4.conf \
 	filesystems \
-	ldap/slapd-etch_debian-edu.conf \
+	ldap/rootDSE-debian-edu.ldif \
+	ldap/slapd-lenny_debian-edu.conf \
 	ldap/ssl/slapd-cert.cnf \
 	pam.d/common-auth-debian-edu \
 	pam.d/common-auth-ldap-debian-edu \
@@ -114,55 +111,36 @@
 	security/pam_mount-stateless-debian-edu.conf \
 	krb5-winbind-debian-edu.conf \
 	lsb-release \
-	nagios/nagios-debian-edu.cfg \
-	nagios/debian-edu/checkcommands.cfg \
-	nagios/debian-edu/contactgroups.cfg \
-	nagios/debian-edu/contacts.cfg \
-	nagios/debian-edu/dependencies.cfg \
-	nagios/debian-edu/htpasswd.users \
-	nagios/debian-edu/index.html \
-	nagios/debian-edu/main.html \
-	nagios/debian-edu/side.html \
-	nagios/debian-edu/misccommands.cfg \
-	nagios/debian-edu/resource.cfg \
-	nagios/debian-edu/services.cfg \
-	nagios/debian-edu/timeperiods.cfg \
-	nagios/debian-edu/servicetemplates.cfg \
-	nagios/debian-edu/hosttemplates.cfg \
-	nagios/debian-edu/skolelinux_logo.png \
-	nagios/debian-edu/skolelinux_logo_140.png \
-	nagios/debian-edu/hosts/gateway.cfg \
-	nagios/debian-edu/hosts/tjener.cfg \
-	nagios/debian-edu/hostgroups/gateways.cfg \
-	nagios/debian-edu/hostgroups/servers.cfg \
 	apache2/mods-available/debian-edu-userdir.conf \
 	apache2/sites-available/debian-edu-default \
 	apache2/sites-available/debian-edu-ssl-default \
 	apache2/conf.d/debian-edu-config-doc \
-	nagios2/debian-edu/cgi.cfg \
-	nagios2/debian-edu/commands.cfg \
-	nagios2/debian-edu/contactgroups.cfg \
-	nagios2/debian-edu/contacts.cfg \
-	nagios2/debian-edu/dependencies.cfg \
-	nagios2/debian-edu/htpasswd.users \
-	nagios2/debian-edu/escalations.cfg \
-	nagios2/debian-edu/hostextinfo.cfg \
-	nagios2/debian-edu/hostgroups.cfg \
-	nagios2/debian-edu/hosts.cfg \
-	nagios2/debian-edu/host_templates.cfg \
-	nagios2/debian-edu/nagios.cfg \
-	nagios2/debian-edu/resources.cfg \
-	nagios2/debian-edu/serviceextinfo.cfg \
-	nagios2/debian-edu/servicegroups.cfg \
-	nagios2/debian-edu/services.cfg \
-	nagios2/debian-edu/service_templates.cfg \
-	nagios2/debian-edu/timeperiods.cfg
+	nagios3/debian-edu/cgi.cfg \
+	nagios3/debian-edu/commands.cfg \
+	nagios3/debian-edu/contactgroups.cfg \
+	nagios3/debian-edu/contacts.cfg \
+	nagios3/debian-edu/dependencies.cfg \
+	nagios3/debian-edu/htpasswd.users \
+	nagios3/debian-edu/escalations.cfg \
+	nagios3/debian-edu/hostextinfo.cfg \
+	nagios3/debian-edu/hostgroups.cfg \
+	nagios3/debian-edu/hosts.cfg \
+	nagios3/debian-edu/host_templates.cfg \
+	nagios3/debian-edu/nagios.cfg \
+	nagios3/debian-edu/resources.cfg \
+	nagios3/debian-edu/serviceextinfo.cfg \
+	nagios3/debian-edu/servicegroups.cfg \
+	nagios3/debian-edu/services.cfg \
+	nagios3/debian-edu/service_templates.cfg \
+	nagios3/debian-edu/timeperiods.cfg \
+	munin/debian-edu-munin-node.conf
 
 
 LIBFILES = \
 	mime/packages/debian-edu-mailcap
 
 SYSCONFSCRIPTS = \
+	shutdown-at-night/clients-generator \
 	resolvconf/update.d/bind-debian-edu \
 	X11/Xsession-debian-edu \
 	samba/smbaddclient.pl
@@ -172,19 +150,20 @@
 	samba-2.2.x.schema \
 	courier.schema \
 	automount-debian-edu.schema \
-	norEduPerson.schema \
-	EduPerson.schema \
+	dhcp.schema \
 	lis.schema
 
 LDIFS = \
 	root.ldif \
 	autofs.ldif \
-	netgroup.ldif
+	netgroup.ldif \
+	dhcp.ldif
 
 LDAPPROGRAMS = \
 	ldappasswd2 \
 	ldap2netgroup \
 	ldap-debian-edu-install \
+	ldap-server-getcert \
 	samba-debian-edu-admin \
 	mkslapdcert
 
@@ -202,6 +181,7 @@
 
 KIOSKFILES = \
 	share/debian-edu/students/share/apps/kdesktop/Desktop/kalzium.desktop \
+	share/debian-edu/students/share/apps/kdesktop/Desktop/chguserpw.desktop \
 	share/debian-edu/students/share/apps/kdesktop/Desktop/kmplot.desktop \
 	share/debian-edu/students/share/apps/kdesktop/Desktop/kstars.desktop \
 	share/debian-edu/students/share/apps/kdesktop/Desktop/ooo-impress.desktop \
@@ -211,7 +191,6 @@
 	share/debian-edu/students/share/apps/kdesktop/Desktop/kgeography.desktop \
 	share/debian-edu/students/share/apps/kdesktop/Desktop/stopmotion.desktop \
 	share/debian-edu/students/share/config/kdeglobals \
-	share/debian-edu/students/share/config/kdesktoprc \
 	share/debian-edu/students/share/config/konqiconviewrc \
 	share/debian-edu/students/share/config/uiserverrc \
 	share/debian-edu/students/share/config/adept_notifierrc \
@@ -285,6 +264,7 @@
 
 	set -e ; for f in share/debian-edu-config/tools/passwd \
 		share/debian-edu-config/tools/adduser \
+		share/debian-edu-config/tools/debian-edu-winbind \
 		share/debian-edu-config/tools/movehome \
 		share/debian-edu-config/tools/nightkill.sh \
 		share/debian-edu-config/tools/logoutkill.sh \
@@ -293,6 +273,8 @@
 		share/debian-edu-config/tools/ldap-users.pl \
 		share/debian-edu-config/tools/nbdswap-cleanup \
 		share/debian-edu-config/tools/nbdquery \
+		share/debian-edu-config/tools/qemu-test-network \
+		share/debian-edu-config/tools/iceweasel-plugin-support \
 	; do \
 		$(INSTALL) $$f $(DESTDIR)/usr/$$f ; \
 	done
@@ -315,12 +297,24 @@
 
 	set -e ; for f in \
  share/ltsp/plugins/ltsp-build-client/Debian-custom/000-arch-detection \
+ share/ltsp/plugins/ltsp-build-client/Debian-custom/000-default-dist \
+ share/ltsp/plugins/ltsp-build-client/Debian-custom/015-edu-apt-source \
  share/ltsp/plugins/ltsp-build-client/Debian-custom/025-bootprompt-opts \
+ share/ltsp/plugins/ltsp-build-client/Debian-custom/031-alsa-sound-pkgs \
+ share/ltsp/plugins/ltsp-build-client/Debian-custom/032-edu-pkgs \
 	; do \
 		$(INSTALL_DATA) $$f $(DESTDIR)/usr/$$f ; \
 	done
 
 	$(INSTALL_DATA) sbin/debian-edu-fsautoresizetab $(DESTDIR)/usr/share/debian-edu-config/fsautoresizetab
+
+	set -e ; for f in \
+		share/debian-edu-config/rsyslog-clients \
+		share/debian-edu-config/rsyslog-collector \
+		share/iceweasel/defaults/preferences/debian-edu.js \
+	; do \
+		$(INSTALL_DATA) $$f $(DESTDIR)/usr/$$f ; \
+	done
 
 # Using manpages autodetection : 
 	set -e ; for program in $(LDAPPROGRAMS) ; do \
@@ -343,7 +337,6 @@
 
 	chmod 700 $(DESTDIR)/var/lib/maildirs/
 
-
 install-testsuite:
 	install -d $(DESTDIR)$(pkglibdir)/testsuite
 	set -e ; for test in testsuite/* ; do \

=== debian/changelog ===
debian-edu-config (1.423) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Reorder squid.conf cfengine rule to work with the file in Lenny.
  * Drop squid.conf edit rule for adding the CUPS and webmin ports
    (631 and 10000), as it is now the default in squid.
  * Rewrite squid.conf access rule to allow access for all RFC 1918
    nets (10.0.0.0/8, 172.16.0.0/12 and 192.168.0.0/16), and not only
    the backbone and thin client net, to reduce the difference between
    our and the default squid configuration.
  * Add cfengine code to initialize PXE install during install.
  * Rewrite PXE install script to use DNS name and not IP address to
    find preseed file.  Also make sure the file it creates are
    readable by everyone.
  * Preseed DNS domain in PXE installs to get less questions asked.
  * Make sure test installs using PXE uses the test repository.
  * Call sync before and after cfengine, to see if it solve the
    strange problem with cfengine not running to completion.
  * Adjust LDAP client test to match the current correct
    configuration.
  * Make debian-edu-fsautoresize more verbose when -v is used.
  * Added new helper script iceweasel-plugin-support useful for
    listing the claimed mime types of mozilla plugin.
  * Move iceweasel prefs file from /usr/lib to /usr/share, to avoid
    overriding all iceweasel configuration (Closes: #491536).
  * Change cfengine rule for thin-client server to only do related
    edits on thin-client-server installs.
  * Only build the PXE installation environment if we can download
    files from the the Internet, until we find another way to fetch 
    the d-i (PXE) boot images.
  * Drop cfengine rules for nss-ldap, we use nss-ldapd now.
  * Run /usr/share/doc/kaffeine/install-css.sh during installation for
    workstation and standalone profiles if downloading from the
    Internet work.
  * Split out ldap-server-getcert tool from the fetch-ldap-cert init.d
    script.
  * Added script debian-edu-winbind moved from the debian-edu-install
    package.
  * Try to get LTSP installation working, by installing
    debian-edu-archive-keyring using debootstrap and using apt option
    --allow-unauthenticated until our CD is signed.
  * Use lsb_release output to avoid hardcoding distribution name in
    debian-edu-pxeinstall (Closes: #489715).
  * Try to get PXE install of LTSP servers working by preseeding
    ltsp-build-client-udeb.
  * Add LTSP build plugin to accept the local component when
    installing from CD, and to append the host sources.list to the
    LTSP chroot sources.list to get the same set of packages
    available.

  [ Vagrant Cascadian ]
  * Add ltsp plugin to default to lenny if distribution detection
    fails.

  [ Translations ]
  * Updated Turkish from Mert Dirik (Closes: #491929).

  [ Holger Levsen ]
  * Remove Andreas Stockholm from uploaders, thanks Andreas! 

 -- Holger Levsen <holger@debian.org>  Fri, 25 Jul 2008 23:24:10 +0000

debian-edu-config (1.422) unstable; urgency=low

  * preinst: compare against in Debian released versions only when
    handling conffile removals.
  * debian/control: Turn depends on memtest86 and syslinux into
    recommends on amd64 and i386 only, so that the package is
    installable on other archs.

 -- Holger Levsen <holger@debian.org>  Wed, 16 Jul 2008 14:21:43 +0000

debian-edu-config (1.421) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Correct DHCP server configuration in LDAP and on disk.
  * Report test duration instead of time stamps.
  * Remove obsolete code in testsuite used to to rename
    /etc/skolelinux/config to /etc/debian-edu/config.
  * Speed up some tests by reducing number of ping packages used from
    3 to 1.
  * Speed up DNS test suite by only looking up external DNS entries if
    ping reches the the IP address in question.
  * Speed up package installation test by only quering dpkg once for
    the list of installed packages.
  * Correct timezone test to work properly, and fix bugs in handling
    of BR and SE country codes.
  * Depend on discover | discover1 for the hardware test.
  * Increase cfengine editfilesize from 150k to 200k, to make sure it
    can edit squid.conf (now 164k).
  * Update syslog configuration to configure rsyslog instead of
    sysklogd.
  * Move iceweasel client proxy setting from cf.iceweasel to cf.squid
    to have it next to the configuration of environment and KDE.  This
    make cf.iceweasel obsolete.  Remove the conffile.
  * Change wpad URL passed on using DHCP from http://10.0.2.2/wpad.dat
    to http://www/wpad.dat, to make it easier to redirect using DNS.
    Add the wpad info to the DHCP packages sent on the thin client
    network too.
  * Remove obsolete debian/debian-edu-config.modules and the call to
    dh_installmodules.  It was useful in Woody, a long time ago.
  * Depend on resolvconf to get the correct DNS client configuration.
  * Change iceweasel and KDE proxy settings to use "Web Access
    Protocol Discovery" for proxy configuration, to avoid hardcoding
    proxy settings on the clients.  Add wpad DNS alias to get this
    working with Firefox.
  * Remove KDE test to check for the new proxy setting indicator, as it no
    longer make sense.
  * Change LTSP test to look for /etc/hosts in the chroot, not just the
    /etc/ directory, as the latter is generated by cfengine.
  * Add a rootDSE ldif entry to provide extra information in the
    OpenLDAP rootDSE.
  * Add RFC 2782 style service entries for ldap, http and syslog in
    DNS.
  * Add smtp-server and www-server options to the DHCP server setup,
    pointing to http://www/ and postoffice.
  * Provide replacement /etc/dhcp3/dhclient.conf file, to add options
    ntp-servers, log-servers, smtp-server, www-server, wpad-url to the
    request list.
  * Add script /usr/sbin/debian-edu-pxeinstall to generate a PXE boot
    environment for installing Debian Edu.
  * Provide PXE boot image /var/lib/tftpboot/debian-edu/pxelinux.0


=== debian/control ===
Source: debian-edu-config
Section: misc
Priority: optional
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Finn-Arne Johansen <faj@bzz.no>, Morten Werner Forsbring <werner@debian.org>, Steffen Joeris <white@debian.org>, Holger Levsen <holger@debian.org>, Klaus Ade Johnstad <klaus@skolelinux.no>, Patrick Winnertz <winnie@debian.org>
Standards-Version: 3.8.0
Build-Depends: debhelper
Build-Depends-Indep: po-debconf
Homepage: http://www.skolelinux.org
Vcs-Browser: http://svn.debian.org/wsvn/debian-edu/trunk/src/debian-edu-config/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/debian-edu/trunk/src/debian-edu-config/

Package: debian-edu-config
Architecture: all
Depends: ${misc:Depends}, cfengine2, libconfig-inifiles-perl, mime-support, libnet-ldap-perl, ng-utils, host, desktop-profiles, lsb-base, ssl-cert, openssl, libfilesys-df-perl, libtext-unaccent-perl, libhtml-fromtext-perl, libio-socket-ssl-perl, lsof, discover | discover1, resolvconf, atftpd | tftpd-hpa, tftp, debian-edu-artwork, etcinsvk
Recommends: syslinux [i386 amd64], memtest86 [i386 amd64]
Replaces: ldap-skolelinux, cfengine-skolelinux, ncs
Provides: cfengine-skolelinux, ncs
Conflicts: ldap-skolelinux (<= 0.1-83), cfengine-skolelinux (<= 0.338), debian-edu-install (<= 0.616), samba (<<3.0.0), ncs
Description: Configuration files for Skolelinux systems
 Installs cfengine config files to be used by the machines set up as part
 of the Skolelinux project.

=== debian/rules ===
--- 
+++ 
@@ -18,13 +18,9 @@
 	$(MAKE) clean
 	dh_clean
 
+binary-arch: 
+
 binary-indep: checkroot build
-	$(checkdir)
-# There are no architecture-independent files to be uploaded
-# generated by this package.  If there were any they would be
-# made here.
-
-binary-arch: checkroot build
 	$(checkdir)
 	dh_testdir
 	dh_testroot
@@ -35,14 +31,13 @@
 	dh_installdocs
 	dh_installdirs
 	dh_installcron
-	dh_installmodules
 	dh_installinit --init-script resize_lvm -r --no-start -u"start 32 S ."
 	dh_installinit --init-script open-backdoor
 	# Start it after 91apache
 	dh_installinit --init-script fetch-ldap-cert -r --no-start -u"start 95 2 3 4 5 ."
-	dh_installinit --init-script boot_xconf
+	dh_installinit --init-script boot_xconf --no-start
 	dh_installinit --init-script enable-nat --no-start
-	dh_installinit --init-script update-hostname
+	dh_installinit --init-script update-hostname --no-start -u"start 20 2 3 4 5 ."
 	dh_installinit --init-script start-wlan --no-start
 	dh_installinit --init-script report-reboot -r --no-start
 	dh_installchangelogs
@@ -50,6 +45,7 @@
 	#dh_link /etc/apache2/mods-available/userdir.load /etc/apache2/mods-available/debian-edu-userdir.load
 	dh_link
 	dh_gencontrol
+	dh_gconf  --priority=50
 	dh_strip
 	dh_compress
 	dh_fixperms
